cd '..\'

N1 = 5000;
N2 = 5000;

sample_cnt = [N1, N2];
path = 'output/report/';

d = [5, 10, 15];
n = [40, 60, 90, 125, 200, 400];
tau = [0.05, 0.1, 0.15, 0.2, 0.25, 0.3];

lambda = 1.6:0.2:3.8;

FSRMCD_size = [
	0.017 0.017 0.015 0.013 0.011 0.010;
    0.054 0.025 0.014 0.012 0.012 0.008;
    0.105 0.030 0.013 0.014 0.013 0.010];
   
cnt = 0;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                            Run preparation                              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for i = 1:length(d)
for j = 1:length(n)
    cnt = cnt + 1;
    
    scenarios(cnt).d = d(i);
    scenarios(cnt).n = n(j);
    scenarios(cnt).method = 2;
    scenarios(cnt).gamma = FSRMCD_size(i, j);
    scenarios(cnt).k = ceil(tau*n(j));
    scenarios(cnt).lambda = lambda;
    scenarios(cnt).cont_type = 0;
end
end

    cnt = cnt + 1;
    scenarios(cnt).d = 5;
    scenarios(cnt).n = 200;
    scenarios(cnt).method = 2;
    scenarios(cnt).gamma = FSRMCD_size(1, 5);
    scenarios(cnt).k = [10 40];
    scenarios(cnt).lambda = 0:2:12;
    scenarios(cnt).cont_type = 1;
    
    cnt = cnt + 1;
    scenarios(cnt).d = 5;
    scenarios(cnt).n = 200;
    scenarios(cnt).method = 2;
    scenarios(cnt).gamma = FSRMCD_size(1, 5);
    scenarios(cnt).k = [10 40];
    scenarios(cnt).lambda = 1:1:6
    scenarios(cnt).cont_type = 2;
    
    cnt = cnt + 1;
    scenarios(cnt).d = 10;
    scenarios(cnt).n = 40;
    scenarios(cnt).method = 0;
    scenarios(cnt).gamma = 0.01;
    scenarios(cnt).k = ceil(tau*40);
    scenarios(cnt).lambda = lambda;
    scenarios(cnt).cont_type = 0;
    
    cnt = cnt + 1;
    scenarios(cnt).d = 15;
    scenarios(cnt).n = 40;
    scenarios(cnt).method = 0;
    scenarios(cnt).gamma = 0.01;
    scenarios(cnt).k = ceil(tau*40);
    scenarios(cnt).lambda = lambda;
    scenarios(cnt).cont_type = 0;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                      Run                                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
for modus = 1:22
    d = scenarios(modus).d;
    n = scenarios(modus).n;
    method = scenarios(modus).method;
    gamma = scenarios(modus).gamma;
    k = scenarios(modus).k;
    lambda = scenarios(modus).lambda;

    make_report(d, n, method, gamma, k, scenarios(modus).cont_type, lambda, sample_cnt, path);
end